Subject: Re: Sergey's cygwin.dll
From: [email-masked] (Arlindo da Silva)

5 Jun 1997 06:08:58 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Seymore Buttz)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Seymore Buttz" at Jun 3, 97 08:15:59 pm
X-Mailer: ELM [version 2.4 PL21]
Original-Sender: [email-masked]

> 
> Hey, I was wondering if anyone else has had trouble with Sergey's
> cygwin.dll?  I tried it on my OSR2 Win95, copying cygwin.dll and
> libcygwin.a to their appropriate places.  Here's what happens when I run
> some prorgams:
> 
> bash$ ls
> (unknown) heap_init: unable to allocate heap, win32 error 8
> cygwin: terminating
> bash$
> 
> Sergey told me error 8 is an out of memory error, but I've got plenty. 
> And the Win95 swap file is no where near maxed out, should it want more
> memory.
> 

I had the same problem first time I installed Sergey's patch.
I guess it has to do with symlinks. I just went to c:\cygnus and from COMMAND.COM:

C:\CYGNUS> dir cygwin.dll /s

I copied cydwin.dll to all places where it appeared (3 directories if 
I recall well). I probably could have redone the symlinks, but it didn't 
have the patience. BTW, I have the original win95.

   Arlindo.

-- 

   *-----------------------------------------------------------------*
   |                                                                 |
   |             ^|^                     ARLINDO DA SILVA            |
   |              |                     212 Lexington Drive          |
   |             _|_                  Silver Spring, MD 20901        |
   |      @  ___|___|__                                              |
   |     _|_|__________|_______/    mailto://[email-masked]    |
   |    \  o o o o o o o  /                                          |
   |     \_______________/            Home: (301) 754-1121           |
   |  ^^^^^^^^^^^^^^^^^^^^^^^^         FAX: (301) 805-7959           |
   |                                                                 |
   *-----------------------------------------------------------------*

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".